class DropdownList {
  String? msg;
  int? code;
  List<Data>? data;

  DropdownList({this.msg, this.code, this.data});

  DropdownList.fromJson(Map<String, dynamic> json) {
    msg = json['msg'];
    code = json['code'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['msg'] = this.msg;
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  String? id;
  int? isDel;
  String? createDate;
  String? createUser;
  String? updateDate;
  String? updateUser;
  String? tenantId;
  int? dictSort;
  String? dictName;
  String? dictValue;
  String? dictType;
  int? dictStatus;

  Data(
      {this.id,
        this.isDel,
        this.createDate,
        this.createUser,
        this.updateDate,
        this.updateUser,
        this.tenantId,
        this.dictSort,
        this.dictName,
        this.dictValue,
        this.dictType,
        this.dictStatus});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    isDel = json['isDel'];
    createDate = json['createDate'];
    createUser = json['createUser'];
    updateDate = json['updateDate'];
    updateUser = json['updateUser'];
    tenantId = json['tenantId'];
    dictSort = json['dictSort'];
    dictName = json['dictName'];
    dictValue = json['dictValue'];
    dictType = json['dictType'];
    dictStatus = json['dictStatus'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['isDel'] = this.isDel;
    data['createDate'] = this.createDate;
    data['createUser'] = this.createUser;
    data['updateDate'] = this.updateDate;
    data['updateUser'] = this.updateUser;
    data['tenantId'] = this.tenantId;
    data['dictSort'] = this.dictSort;
    data['dictName'] = this.dictName;
    data['dictValue'] = this.dictValue;
    data['dictType'] = this.dictType;
    data['dictStatus'] = this.dictStatus;
    return data;
  }
}
